Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.jaxp
Class DocumentBuilderFactoryImpl

    java.lang.Object
      javax.xml.parsers.DocumentBuilderFactory
          weblogic.apache.xerces.jaxp.DocumentBuilderFactoryImpl

Deprecated. please use JDK supplied XML parsers and transformers

public class DocumentBuilderFactoryImpl
extends DocumentBuilderFactory

Constructor Summary
`DocumentBuilderFactoryImpl()` Deprecated.

Method Summary
`Object` | `getAttribute(String name)` Deprecated. Allows the user to retrieve specific attributes on the underlying implementation.
`DocumentBuilder` | `newDocumentBuilder()` Deprecated. Creates a new instance of a `DocumentBuilder` using the currently configured parameters.
`void` | `setAttribute(String name, Object value)` Deprecated. Allows the user to set specific attributes on the underlying implementation.

Methods inherited from class javax.xml.parsers.DocumentBuilderFactory
`getSchema, isCoalescing, isExpandEntityReferences, isIgnoringComments, isIgnoringElementContentWhitespace, isNamespaceAware, isValidating, isXIncludeAware, newInstance, setCoalescing, setExpandEntityReferences, setIgnoringComments, setIgnoringElementContentWhitespace, setNamespaceAware, setSchema, setValidating, setXIncludeAware`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentBuilderFactoryImpl

    public DocumentBuilderFactoryImpl()

  Deprecated.

Method Detail

### getAttribute

    public Object getAttribute(String name)
                        throws IllegalArgumentException

  Deprecated.
  Allows the user to retrieve specific attributes on the underlying implementation.

  Throws:
    `IllegalArgumentException`

### newDocumentBuilder

    public DocumentBuilder newDocumentBuilder()
                                       throws ParserConfigurationException

  Deprecated.
  Creates a new instance of a `DocumentBuilder` using the currently configured parameters.

  Throws:
    `ParserConfigurationException`

### setAttribute

    public void setAttribute(String name,
                             Object value)
                      throws IllegalArgumentException

  Deprecated.
  Allows the user to set specific attributes on the underlying implementation.

  Parameters:
    `name` - name of attribute
    `value` - null means to remove attribute
  Throws:
    `IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD